Skip to content

Register

POST
/auth/register
curl --request POST \
--url https://example.com/auth/register \
--header 'Content-Type: application/json' \
--data '{ "display_name": "example", "email": "[email protected]", "first_name": "example", "last_name": "example", "password": "example", "timezone": "UTC" }'
Media typeapplication/json
UserRegister
object
display_name
Any of:
string
email
required
Email
string format: email
first_name
Any of:
string
<= 100 characters
last_name
Any of:
string
<= 100 characters
password
required
Password
string
>= 8 characters <= 128 characters
timezone
Timezone
string
default: UTC

Successful Response

Media typeapplication/json
UserRead
object
avatar_url
Any of:
string
created_at
required
Created At
string format: date-time
date_of_birth
Any of:
string format: date
display_name
required
Any of:
string
email
required
Email
string
first_name
Any of:
string
height_cm
Any of:
number
id
required
Id
string format: uuid
is_active
Is Active
boolean
default: true
is_admin
required
Is Admin
boolean
last_name
Any of:
string
preferences
Preferences
object
key
additional properties
any
timezone
required
Timezone
string
updated_at
required
Updated At
string format: date-time
weight_kg
Any of:
number
Example
{
"is_active": true
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}